## org.eclipse.datatools.sqltools.sqleditor
Class SQLEditor.AdaptedSourceViewer

    java.lang.Object
      org.eclipse.jface.viewers.Viewer
          org.eclipse.jface.text.TextViewer
              org.eclipse.jface.text.source.SourceViewer
                  org.eclipse.jface.text.source.projection.ProjectionViewer
                      org.eclipse.datatools.sqltools.sqleditor.SQLEditor.AdaptedSourceViewer

All Implemented Interfaces:
  org.eclipse.jface.text.IEditingSupportRegistry, org.eclipse.jface.text.ITextOperationTarget, org.eclipse.jface.text.ITextOperationTargetExtension, org.eclipse.jface.text.ITextViewer, org.eclipse.jface.text.ITextViewerExtension, org.eclipse.jface.text.ITextViewerExtension2, org.eclipse.jface.text.ITextViewerExtension3, org.eclipse.jface.text.ITextViewerExtension4, org.eclipse.jface.text.ITextViewerExtension5, org.eclipse.jface.text.ITextViewerExtension6, org.eclipse.jface.text.ITextViewerExtension7, org.eclipse.jface.text.ITextViewerExtension8, org.eclipse.jface.text.IWidgetTokenOwner, org.eclipse.jface.text.IWidgetTokenOwnerExtension, org.eclipse.jface.text.source.ISourceViewer, org.eclipse.jface.text.source.ISourceViewerExtension, org.eclipse.jface.text.source.ISourceViewerExtension2, org.eclipse.jface.text.source.ISourceViewerExtension3, org.eclipse.jface.text.source.ISourceViewerExtension4, org.eclipse.jface.viewers.IInputProvider, org.eclipse.jface.viewers.IInputSelectionProvider, org.eclipse.jface.viewers.IPostSelectionProvider, org.eclipse.jface.viewers.ISelectionProvider

Enclosing class:
  SQLEditor

    public class SQLEditor.AdaptedSourceViewer

extends org.eclipse.jface.text.source.projection.ProjectionViewer

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.jface.text.ITextViewerExtension8
`org.eclipse.jface.text.ITextViewerExtension8.EnrichMode`

Field Summary

Fields inherited from class org.eclipse.jface.text.source.projection.ProjectionViewer
`COLLAPSE, COLLAPSE_ALL, EXPAND, EXPAND_ALL, TOGGLE`

Fields inherited from class org.eclipse.jface.text.TextViewer
`TRACE_ERRORS`

Fields inherited from interface org.eclipse.jface.text.source.ISourceViewer
`CONTENTASSIST_CONTEXT_INFORMATION, CONTENTASSIST_PROPOSALS, FORMAT, INFORMATION, QUICK_ASSIST`

Fields inherited from interface org.eclipse.jface.text.ITextViewerExtension2
`DEFAULT_HOVER_STATE_MASK`

Fields inherited from interface org.eclipse.jface.text.ITextOperationTarget
`COPY, CUT, DELETE, PASTE, PREFIX, PRINT, REDO, SELECT_ALL, SHIFT_LEFT, SHIFT_RIGHT, STRIP_PREFIX, UNDO`

Constructor Summary
`SQLEditor.AdaptedSourceViewer(org.eclipse.swt.widgets.Composite parent, org.eclipse.jface.text.source.IVerticalRuler verticalRuler, org.eclipse.jface.text.source.IOverviewRuler overviewRuler, boolean showAnnotationsOverview, int styles)`

Method Summary
`org.eclipse.jface.text.contentassist.IContentAssistant` `getContentAssistant()`

Methods inherited from class org.eclipse.jface.text.source.projection.ProjectionViewer

`addProjectionListener, addVerticalRulerColumn, canDoOperation, computeCollapsedRegion, computeCollapsedRegionAnchor, disableProjection, doOperation, enableProjection, exposeModelRange, getCoveredModelRanges, getProjectionAnnotationModel, getVisibleRegion, isProjectionMode, overlapsWithVisibleRegion, reinitializeProjection, removeProjectionListener, removeVerticalRulerColumn, resetVisibleRegion, setDocument, setProjectionSummary, setRangeIndication, setVisibleRegion`

Methods inherited from class org.eclipse.jface.text.source.SourceViewer

`activatePlugins, configure, enableOperation, getAnnotationModel, getContentAssistantFacade, getControl, getCurrentAnnotationHover, getQuickAssistAssistant, getQuickAssistInvocationContext, getRangeIndication, getVisualAnnotationModel, removeRangeIndication, setAnnotationHover, setDocument, setDocument, setDocument, setHoverEnrichMode, setOverviewRulerAnnotationHover, setRangeIndicator, showAnnotations, showAnnotationsOverview, unconfigure`

Methods inherited from class org.eclipse.jface.text.TextViewer

`addPainter, addPostSelectionChangedListener, addTextInputListener, addTextListener, addTextPresentationListener, addViewportListener, appendVerifyKeyListener, changeTextPresentation, getBottomIndex, getBottomIndexEndOffset, getCurrentTextHover, getDocument, getFindReplaceTarget, getHoverEventLocation, getInput, getMark, getModelCoverage, getRegisteredSupports, getRewriteTarget, getSelectedRange, getSelection, getSelectionProvider, getTextOperationTarget, getTextWidget, getTopIndex, getTopIndexStartOffset, getTopInset, getUndoManager, invalidateTextPresentation, invalidateTextPresentation, isEditable, modelLine2WidgetLine, modelOffset2WidgetOffset, modelRange2WidgetRange, moveFocusToWidgetToken, prependAutoEditStrategy, prependVerifyKeyListener, print, refresh, register, releaseWidgetToken, removeAutoEditStrategy, removePainter, removePostSelectionChangedListener, removeTextHovers, removeTextInputListener, removeTextListener, removeTextPresentationListener, removeVerifyKeyListener, removeViewportListener, requestWidgetToken, requestWidgetToken, resetPlugins, revealRange, setAutoIndentStrategy, setDefaultPrefixes, setDocumentPartitioning, setEditable, setEventConsumer, setHoverControlCreator, setHyperlinkDetectors, setHyperlinkPresenter, setIndentPrefixes, setInput, setMark, setRedraw, setSelectedRange, setSelection, setTabsToSpacesConverter, setTextColor, setTextColor, setTextDoubleClickStrategy, setTextHover, setTextHover, setTopIndex, setUndoManager, unregister, widgetLine2ModelLine, widgetLineOfWidgetOffset, widgetlLine2ModelLine, widgetOffset2ModelOffset, widgetRange2ModelRange`

Methods inherited from class org.eclipse.jface.viewers.Viewer
`addHelpListener, addSelectionChangedListener, getData, removeHelpListener, removeSelectionChangedListener, scrollDown, scrollUp, setData, setSelection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.text.ITextViewerExtension5
`getModelCoverage, modelLine2WidgetLine, modelOffset2WidgetOffset, modelRange2WidgetRange, widgetLine2ModelLine, widgetLineOfWidgetOffset, widgetOffset2ModelOffset, widgetRange2ModelRange`

Methods inherited from interface org.eclipse.jface.text.ITextViewerExtension3
`widgetlLine2ModelLine`

Methods inherited from interface org.eclipse.jface.text.ITextViewer

`addTextInputListener, addTextListener, addViewportListener, changeTextPresentation, getBottomIndex, getBottomIndexEndOffset, getDocument, getFindReplaceTarget, getSelectedRange, getSelectionProvider, getTextOperationTarget, getTextWidget, getTopIndex, getTopIndexStartOffset, getTopInset, invalidateTextPresentation, isEditable, removeTextInputListener, removeTextListener, removeViewportListener, resetPlugins, revealRange, setAutoIndentStrategy, setDefaultPrefixes, setEditable, setEventConsumer, setIndentPrefixes, setSelectedRange, setTextColor, setTextColor, setTextDoubleClickStrategy, setTextHover, setTopIndex, setUndoManager`

Methods inherited from interface org.eclipse.jface.viewers.ISelectionProvider
`addSelectionChangedListener, removeSelectionChangedListener, setSelection`

Constructor Detail

### SQLEditor.AdaptedSourceViewer

    public SQLEditor.AdaptedSourceViewer(org.eclipse.swt.widgets.Composite parent,
                                         org.eclipse.jface.text.source.IVerticalRuler verticalRuler,
                                         org.eclipse.jface.text.source.IOverviewRuler overviewRuler,
                                         boolean showAnnotationsOverview,
                                         int styles)

Parameters:
  `parent` -
  `verticalRuler` -
  `overviewRuler` -
  `showAnnotationsOverview` -
  `styles` -

Method Detail

### getContentAssistant

    public org.eclipse.jface.text.contentassist.IContentAssistant getContentAssistant()